Skip to main content
GET
/
team
/
{team_id}
/
datasets
cURL
curl --request GET \
  --url https://api.chartbrew.com/team/{team_id}/datasets \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.chartbrew.com/team/{team_id}/datasets"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.chartbrew.com/team/{team_id}/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": 123,
    "team_id": 123,
    "project_ids": [
      123
    ],
    "chart_id": 123,
    "connection_id": 123,
    "draft": true,
    "name": "<string>",
    "query": "<string>",
    "xAxis": "<string>",
    "xAxisOperation": "<string>",
    "yAxis": "<string>",
    "yAxisOperation": "none",
    "dateField": "<string>",
    "dateFormat": "<string>",
    "legend": "<string>",
    "fieldsSchema": {},
    "excludedFields": [
      "<string>"
    ],
    "configuration": {},
    "joinSettings": {
      "joins": [
        {
          "dr_id": 123,
          "join_id": 123,
          "dr_field": "<string>",
          "join_field": "<string>"
        }
      ]
    }
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

ID of the team

Response

Array of datasets

id
integer
team_id
integer
project_ids
integer[]
chart_id
integer
connection_id
integer
draft
boolean
default:true
name
string

Canonical dataset name. Prefer this over legend when referring to the reusable dataset itself.

query
string
xAxis
string

[Legacy compatibility] Dataset-level binding fallback. New chart bindings should be stored on ChartDatasetConfig.

xAxisOperation
string

[Legacy compatibility] Dataset-level binding fallback. New chart bindings should be stored on ChartDatasetConfig.

yAxis
string

[Legacy compatibility] Dataset-level binding fallback. New chart bindings should be stored on ChartDatasetConfig.

yAxisOperation
string
default:none

[Legacy compatibility] Dataset-level binding fallback. New chart bindings should be stored on ChartDatasetConfig.

dateField
string

[Legacy compatibility] Dataset-level binding fallback. New chart bindings should be stored on ChartDatasetConfig.

dateFormat
string

[Legacy compatibility] Dataset-level binding fallback. New chart bindings should be stored on ChartDatasetConfig.

legend
string

[Legacy compatibility] Previous dataset name field. Prefer Dataset.name for reusable dataset naming.

fieldsSchema
object
excludedFields
string[]
configuration
object
joinSettings
object